Package org.kapott.hbci.sepa.jaxb.pain_008_001_10

## Class ProxyAccountIdentification1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_10.ProxyAccountIdentification1

    public class ProxyAccountIdentification1
    extends java.lang.Object

Java class for ProxyAccountIdentification1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProxyAccountIdentification1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}ProxyAccountType1Choice" minOccurs="0"/>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}Max2048Text"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `id`
`protected ProxyAccountType1Choice` `tp`

### Constructor Summary

Constructors
`ProxyAccountIdentification1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getId()` Gets the value of the id property.
`ProxyAccountType1Choice` `getTp()` Gets the value of the tp property.
`void` `setId​(java.lang.String value)` Sets the value of the id property.
`void` `setTp​(ProxyAccountType1Choice value)` Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tp

    protected ProxyAccountType1Choice tp

#### id

    protected java.lang.String id

### Constructor Detail

#### ProxyAccountIdentification1

    public ProxyAccountIdentification1()

### Method Detail

#### getTp

    public ProxyAccountType1Choice getTp()

Gets the value of the tp property.

Returns:
  possible object is `ProxyAccountType1Choice`

#### setTp

    public void setTp​(ProxyAccountType1Choice value)

Sets the value of the tp property.

Parameters:
  `value` - allowed object is `ProxyAccountType1Choice`

#### getId

    public java.lang.String getId()

Gets the value of the id property.

Returns:
  possible object is `String`

#### setId

    public void setId​(java.lang.String value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `String`